package com.xkrs.controller;

import com.xkrs.service.FireAndRangerService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.UnsupportedEncodingException;
import java.util.Map;

/**
 * @author xkrs
 */
@RestController
public class FireAndRangerController {

    @Resource
    private FireAndRangerService fireAndRangerService;

    /**
     * 将火点分配给某个人
     *
     * @param map
     * @param token
     * @return
     */
    @PostMapping("/addFireAndRanger")
    public String addFireAndRanger(@RequestBody Map map, @RequestHeader(value = "Authorization") String token) throws UnsupportedEncodingException {
        String rangerName = (String) map.get("rangerName");
        String fireCode = (String) map.get("fireCode");
        String handler = (String) map.get("handler");
        String verifier = (String) map.get("verifier");
        return fireAndRangerService.addFireAndRanger(rangerName, fireCode, handler, verifier, token);
    }

    /**
     * 护林员查看自己的火点任务
     *
     * @param token
     * @return
     */
    @GetMapping("/selectFireInformation")
    public String selectFireInformation(@RequestHeader(value = "Authorization") String token) {
        return fireAndRangerService.selectFireInformation(token);
    }

    /**
     * 根据火点编码查询核查信息
     *
     * @param map
     * @return
     */
    @PostMapping("/findFireAndRanger")
    public String findFireAndRangerByFireCode(@RequestBody Map map, @RequestHeader(value = "Authorization") String token) throws Exception {
        String fireCode = (String) map.get("fireCode");
        return fireAndRangerService.findFireAndRangerByFireCode(fireCode, token);
    }
}
