package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * 护林员和火点中间表
 * @author xkrs
 */
@Entity
@Table(name="fire_and_ranger")
public class FireAndRanger {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "fire_and_ranger_seq_gen")
    @SequenceGenerator(name = "fire_and_ranger_seq_gen", sequenceName = "fire_and_ranger_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 护林员的账号（手机号作为和火点的标识）
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String rangerName;

    /**
     * 火点编码
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String fireCode;

    /**
     * 处理人
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String handler;

    /**
     * 核查人
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String verifier;

    /**
     * 处理时间(核查时间)
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String handlerTime;

    /**
     * 结束时间
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String endTime;

    @Column(length = 32, columnDefinition = "varchar(32)")
    private String progressType;

    public FireAndRanger() {
    }

    public FireAndRanger(Integer id, String rangerName, String fireCode, String handler, String verifier, String handlerTime, String endTime, String progressType) {
        this.id = id;
        this.rangerName = rangerName;
        this.fireCode = fireCode;
        this.handler = handler;
        this.verifier = verifier;
        this.handlerTime = handlerTime;
        this.endTime = endTime;
        this.progressType = progressType;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRangerName() {
        return rangerName;
    }

    public void setRangerName(String rangerName) {
        this.rangerName = rangerName;
    }

    public String getFireCode() {
        return fireCode;
    }

    public void setFireCode(String fireCode) {
        this.fireCode = fireCode;
    }

    public String getHandler() {
        return handler;
    }

    public void setHandler(String handler) {
        this.handler = handler;
    }

    public String getVerifier() {
        return verifier;
    }

    public void setVerifier(String verifier) {
        this.verifier = verifier;
    }

    public String getHandlerTime() {
        return handlerTime;
    }

    public void setHandlerTime(String handlerTime) {
        this.handlerTime = handlerTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getProgressType() {
        return progressType;
    }

    public void setProgressType(String progressType) {
        this.progressType = progressType;
    }

    @Override
    public String toString() {
        return "FireAndRanger{" +
                "id=" + id +
                ", rangerName='" + rangerName + '\'' +
                ", fireCode='" + fireCode + '\'' +
                ", handler='" + handler + '\'' +
                ", verifier='" + verifier + '\'' +
                ", handlerTime='" + handlerTime + '\'' +
                ", endTime='" + endTime + '\'' +
                ", progressType='" + progressType + '\'' +
                '}';
    }
}
