package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 全局配置表
 */
@Entity
@Table(name = "global_configuration")
public class GlobalConfigurationEntity implements Serializable {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "global_configuration_seq_gen")
    @SequenceGenerator(name = "global_configuration_seq_gen", sequenceName = "global_configuration_id_seq", allocationSize = 1)
    private Long id;

    /**
     * 全局配置项的键
     */
    private String key;

    /**
     * 全局配置项的值
     */
    private String value;

    /**
     * 备注信息
     */
    private String remark;

    public GlobalConfigurationEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "GlobalConfigurationEntity{" +
                "id=" + id +
                ", key='" + key + '\'' +
                ", value='" + value + '\'' +
                ", remark='" + remark + '\'' +
                '}';
    }
}
